Package be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1

# Class AcceptedBedPeriodType

java.lang.Object
be.vlaanderen.mercurius.vsb_ewzcfin.schemas.v1.AcceptedBedPeriodType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class AcceptedBedPeriodType extends Object implements Serializable
Aanvaarde type woongelegenheid

Java class for AcceptedBedPeriodType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AcceptedBedPeriodType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="BedPeriodVSBReference" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}VSBReferenceType"/>
             <element name="BedPeriodAcceptedDateTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="BedPeriodStartTime" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
             <element name="BedPeriodEndTime" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
             <element name="Bed" type="{http://www.mercurius.vlaanderen.be/vsb-ewzcfin/schemas/v1}BedType"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AcceptedBedPeriodType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BedType`
  `getBed()`
  Type woongelegenheid
  `Instant`
  `getBedPeriodAcceptedDateTime()`
  De datum vanaf wanneer dit type woongelegenheid geldig is.
  `Instant`
  `getBedPeriodEndTime()`
  Eindtijd periode type woongelegenheid
  `Instant`
  `getBedPeriodStartTime()`
  Begintijd periode type woongelegenheid
  `String`
  `getBedPeriodVSBReference()`
  Unieke identificatie van de aanvaarde type woongelegenheid
  `void`
  `setBed(BedType value)`
  Sets the value of the bed property.
  `void`
  `setBedPeriodAcceptedDateTime(Instant value)`
  Sets the value of the bedPeriodAcceptedDateTime property.
  `void`
  `setBedPeriodEndTime(Instant value)`
  Sets the value of the bedPeriodEndTime property.
  `void`
  `setBedPeriodStartTime(Instant value)`
  Sets the value of the bedPeriodStartTime property.
  `void`
  `setBedPeriodVSBReference(String value)`
  Sets the value of the bedPeriodVSBReference property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AcceptedBedPeriodType

    public AcceptedBedPeriodType()

- ## Method Details

  - ### getBedPeriodVSBReference

    public String getBedPeriodVSBReference()
    Unieke identificatie van de aanvaarde type woongelegenheid
    Returns:
      possible object is `String`

  - ### setBedPeriodVSBReference

    public void setBedPeriodVSBReference(String value)
    Sets the value of the bedPeriodVSBReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBedPeriodVSBReference()`

  - ### getBedPeriodAcceptedDateTime

    public Instant getBedPeriodAcceptedDateTime()
    De datum vanaf wanneer dit type woongelegenheid geldig is.
    Returns:
      possible object is `String`

  - ### setBedPeriodAcceptedDateTime

    public void setBedPeriodAcceptedDateTime(Instant value)
    Sets the value of the bedPeriodAcceptedDateTime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBedPeriodAcceptedDateTime()`

  - ### getBedPeriodStartTime

    public Instant getBedPeriodStartTime()
    Begintijd periode type woongelegenheid
    Returns:
      possible object is `String`

  - ### setBedPeriodStartTime

    public void setBedPeriodStartTime(Instant value)
    Sets the value of the bedPeriodStartTime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBedPeriodStartTime()`

  - ### getBedPeriodEndTime

    public Instant getBedPeriodEndTime()
    Eindtijd periode type woongelegenheid
    Returns:
      possible object is `String`

  - ### setBedPeriodEndTime

    public void setBedPeriodEndTime(Instant value)
    Sets the value of the bedPeriodEndTime property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getBedPeriodEndTime()`

  - ### getBed

    public BedType getBed()
    Type woongelegenheid
    Returns:
      possible object is `BedType`

  - ### setBed

    public void setBed(BedType value)
    Sets the value of the bed property.
    Parameters:
      `value` - allowed object is `BedType`
    See Also:
      - `getBed()`